DELETE api/CodeListSystem?state={state}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| state | boolean |
Required |
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"a5677211-ccdd-43d3-8d07-cb12fbe36099",
"7f39696a-d558-483c-81c4-89c71c3bbcbd"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "b8e3a188-9ab2-4fa3-b567-3e70f0fe8b59",
"image_id": "930f0f36-78ba-4453-aeda-cb874d13d13e",
"id_user_work_position": "247bf59e-c213-49d5-8e68-69d58457e224",
"id_shift": "5112453d-6c3f-4df4-9325-26fd34f9f20b",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-05T21:08:44Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "b8e3a188-9ab2-4fa3-b567-3e70f0fe8b59",
"image_id": "930f0f36-78ba-4453-aeda-cb874d13d13e",
"id_user_work_position": "247bf59e-c213-49d5-8e68-69d58457e224",
"id_shift": "5112453d-6c3f-4df4-9325-26fd34f9f20b",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-05T21:08:44Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>a5677211-ccdd-43d3-8d07-cb12fbe36099</d2p1:guid>
<d2p1:guid>7f39696a-d558-483c-81c4-89c71c3bbcbd</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-05-05T23:08:44.6543795+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>b8e3a188-9ab2-4fa3-b567-3e70f0fe8b59</id>
<id_shift>5112453d-6c3f-4df4-9325-26fd34f9f20b</id_shift>
<id_user_work_position>247bf59e-c213-49d5-8e68-69d58457e224</id_user_work_position>
<image_id>930f0f36-78ba-4453-aeda-cb874d13d13e</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-05T23:08:44.6543795+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>b8e3a188-9ab2-4fa3-b567-3e70f0fe8b59</id>
<id_shift>5112453d-6c3f-4df4-9325-26fd34f9f20b</id_shift>
<id_user_work_position>247bf59e-c213-49d5-8e68-69d58457e224</id_user_work_position>
<image_id>930f0f36-78ba-4453-aeda-cb874d13d13e</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>